org.richfaces.component

## Class UIFileUpload

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractFileUpload
      - - org.richfaces.component.UIFileUpload

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxActivatorProps, AjaxProps, CoreProps, DisabledProps, ErrorProps, EventsKeyProps, EventsMouseProps, I18nProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIFileUpload
      extends AbstractFileUpload
      implements javax.faces.component.behavior.ClientBehaviorHolder, AjaxProps, CoreProps, DisabledProps, ErrorProps, EventsKeyProps, EventsMouseProps, I18nProps

  The <rich:fileUpload> component allows the user to upload files to a server. It features multiple uploads, progress bars, restrictions on file types, and restrictions on sizes of the files to be uploaded.

  Author:
    Konstantin Mishin, Lukas Fryc, Simone Cinti

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIFileUpload.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIFileUpload()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAcceptedTypes()` Defines comma separated list of file extensions accepted by component.
    `String` | `getAddLabel()` The label for the Add button.
    `String` | `getClearAllLabel()` The label for the Clear button.
    `String` | `getClearLabel()` The label displayed for the Clear link
    `Object` | `getData()` Serialized (on default with JSON) data passed to the client by a developer on an AJAX request.
    `String` | `getDefaultEventName()`
    `String` | `getDeleteLabel()` The label displayed for the Delete link
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `String` | `getDoneLabel()` The label displayed when a file is successfully uploaded.
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()` IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle.
    `String` | `getFamily()`
    `javax.el.MethodExpression` | `getFileUploadListener()` A listener function on the server side after each file is uploaded.
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `String` | `getListHeight()` Defines height of file list.
    `long` | `getMaxFileSize()` Defines the maximum allowed size of a file.
    `Integer` | `getMaxFilesQuantity()` Defines maximum number of files allowed to be uploaded.
    `String` | `getOnbeforedomupdate()` The client-side script method to be called after the ajax response comes back, but before the DOM is updated
    `String` | `getOnbegin()` The client-side script method to be called before an ajax request.
    `String` | `getOnclear()` Javascript code executed when a file is cleared
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnerror()` The client-side script method to be called when an error has occurred during Ajax communications
    `String` | `getOnfileselect()` Javascript code executed when a file is selected
    `String` | `getOnfilesubmit()` Javascript code executed when a file is submitted
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnsizerejected()` Javascript code executed when a file exceeds the allowed size defined by maxFileSize parameter.
    `String` | `getOntyperejected()` Javascript code executed when a file does not meet the conditions stated by acceptedTypes parameter.
    `String` | `getOnuploadcomplete()` Javascript code executed when a file upload is complete
    `Object` | `getRender()` IDs of components that will participate in the "render" portion of the Request Processing Lifecycle.
    `String` | `getServerErrorLabel()` The label displayed when a file upload fails due to a server error.
    `String` | `getSizeExceededLabel()` The label displayed when a file exceeds the size limit.
    `String` | `getStatus()` Name of the request status component that will indicate the status of the Ajax request
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `String` | `getUploadLabel()` The label for the Upload button.
    `boolean` | `isDisabled()` Flag indicating that this element must never receive focus or be included in a subsequent submit.
    `boolean` | `isImmediateUpload()` If "true" upload stats immediately after file selection
    `boolean` | `isLimitRender()` If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
    `boolean` | `isNoDuplicate()` If "true" duplicate file uploads are prevented
    `void` | `setAcceptedTypes(String acceptedTypes)`
    `void` | `setAddLabel(String addLabel)`
    `void` | `setClearAllLabel(String clearAllLabel)`
    `void` | `setClearLabel(String clearLabel)`
    `void` | `setData(Object data)`
    `void` | `setDeleteLabel(String deleteLabel)`
    `void` | `setDir(String dir)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setDoneLabel(String doneLabel)`
    `void` | `setExecute(Object execute)`
    `void` | `setFileUploadListener(javax.el.MethodExpression fileUploadListener)`
    `void` | `setImmediateUpload(boolean immediateUpload)`
    `void` | `setLang(String lang)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setListHeight(String listHeight)`
    `void` | `setMaxFileSize(long maxFileSize)`
    `void` | `setMaxFilesQuantity(Integer maxFilesQuantity)`
    `void` | `setNoDuplicate(boolean noDuplicate)`
    `void` | `setOnbeforedomupdate(String onbeforedomupdate)`
    `void` | `setOnbegin(String onbegin)`
    `void` | `setOnclear(String onclear)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnerror(String onerror)`
    `void` | `setOnfileselect(String onfileselect)`
    `void` | `setOnfilesubmit(String onfilesubmit)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnsizerejected(String onsizerejected)`
    `void` | `setOntyperejected(String ontyperejected)`
    `void` | `setOnuploadcomplete(String onuploadcomplete)`
    `void` | `setRender(Object render)`
    `void` | `setServerErrorLabel(String serverErrorLabel)`
    `void` | `setSizeExceededLabel(String sizeExceededLabel)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setUploadLabel(String uploadLabel)`

    - ### Methods inherited from class org.richfaces.component.AbstractFileUpload

      `acceptsFile, addFileUploadListener, getAcceptedTypesList, getFileUploadListeners, processEvent, queueEvent, removeFileUploadListener`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeAll, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, visitTree`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIFileUpload

          public UIFileUpload()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getAcceptedTypes

          public String getAcceptedTypes()

      Description copied from class: `AbstractFileUpload`
      Defines comma separated list of file extensions accepted by component. The format of the file extension can be "png" or ".png", the second format will filter extensions in the dialog window. The component does not provide any feedback when rejecting file. For introducing feedback for rejection, use ontyperejected parameter.
      Specified by:
        `getAcceptedTypes` in class `AbstractFileUpload`

    - #### setAcceptedTypes

          public void setAcceptedTypes(String acceptedTypes)

    - #### getAddLabel

          public String getAddLabel()

      Description copied from class: `AbstractFileUpload`
      The label for the Add button.
      Specified by:
        `getAddLabel` in class `AbstractFileUpload`

    - #### setAddLabel

          public void setAddLabel(String addLabel)

    - #### getClearAllLabel

          public String getClearAllLabel()

      Description copied from class: `AbstractFileUpload`
      The label for the Clear button.
      Specified by:
        `getClearAllLabel` in class `AbstractFileUpload`

    - #### setClearAllLabel

          public void setClearAllLabel(String clearAllLabel)

    - #### getClearLabel

          public String getClearLabel()

      Description copied from class: `AbstractFileUpload`
      The label displayed for the Clear link
      Specified by:
        `getClearLabel` in class `AbstractFileUpload`

    - #### setClearLabel

          public void setClearLabel(String clearLabel)

    - #### getData

          public Object getData()

      Description copied from interface: `AjaxActivatorProps`
      Serialized (on default with JSON) data passed to the client by a developer on an AJAX request. It's accessible via "event.data" syntax. Both primitive types and complex types such as arrays and collections can be serialized and used with data
      Specified by:
        `getData` in interface `AjaxActivatorProps`

    - #### setData

          public void setData(Object data)

    - #### getDeleteLabel

          public String getDeleteLabel()

      Description copied from class: `AbstractFileUpload`
      The label displayed for the Delete link
      Specified by:
        `getDeleteLabel` in class `AbstractFileUpload`

    - #### setDeleteLabel

          public void setDeleteLabel(String deleteLabel)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from interface: `DisabledProps`
      Flag indicating that this element must never receive focus or be included in a subsequent submit.
      Specified by:
        `isDisabled` in interface `DisabledProps`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### getDoneLabel

          public String getDoneLabel()

      Description copied from class: `AbstractFileUpload`
      The label displayed when a file is successfully uploaded.
      Specified by:
        `getDoneLabel` in class `AbstractFileUpload`

    - #### setDoneLabel

          public void setDoneLabel(String doneLabel)

    - #### getExecute

          public Object getExecute()

      Description copied from interface: `AjaxProps`
      IDs of components that will participate in the "execute" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of IDs, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Default value is "@region" which resolves to this component if no region is present.
      Specified by:
        `getExecute` in interface `AjaxProps`

    - #### setExecute

          public void setExecute(Object execute)

    - #### getFileUploadListener

          public javax.el.MethodExpression getFileUploadListener()

      Description copied from class: `AbstractFileUpload`
      A listener function on the server side after each file is uploaded. The listener should process files as required, such as storing them in the session/db/filesystem/ directory. The component itself does not store uploaded files, so if the listener is not implemented they are not stored anywhere
      Specified by:
        `getFileUploadListener` in class `AbstractFileUpload`

    - #### setFileUploadListener

          public void setFileUploadListener(javax.el.MethodExpression fileUploadListener)

    - #### isImmediateUpload

          public boolean isImmediateUpload()

      Description copied from class: `AbstractFileUpload`

      If "true" upload stats immediately after file selection

      Default is "false"

      Specified by:
        `isImmediateUpload` in class `AbstractFileUpload`

    - #### setImmediateUpload

          public void setImmediateUpload(boolean immediateUpload)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### isLimitRender

          public boolean isLimitRender()

      Description copied from interface: `AjaxActivatorProps`
      If "true", render only those ids specified in the "render" attribute, forgoing the render of the auto-rendered panels
      Specified by:
        `isLimitRender` in interface `AjaxActivatorProps`

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getListHeight

          public String getListHeight()

      Description copied from class: `AbstractFileUpload`

      Defines height of file list.

      Default value is "210px".

      Specified by:
        `getListHeight` in class `AbstractFileUpload`

    - #### setListHeight

          public void setListHeight(String listHeight)

    - #### getMaxFileSize

          public long getMaxFileSize()

      Description copied from class: `AbstractFileUpload`
      Defines the maximum allowed size of a file. Files exceeding the size will not be added in the component. Default value is 0 (no limit).
      Specified by:
        `getMaxFileSize` in class `AbstractFileUpload`

    - #### setMaxFileSize

          public void setMaxFileSize(long maxFileSize)

    - #### getMaxFilesQuantity

          public Integer getMaxFilesQuantity()

      Description copied from class: `AbstractFileUpload`
      Defines maximum number of files allowed to be uploaded. After a number of files in the list equals to the value of this attribute, "Add" button disappears and nothing could be uploaded even if you clear the whole list. In order to upload files again you should rerender the component. (Negative numbers means no limits; default value -1).
      Specified by:
        `getMaxFilesQuantity` in class `AbstractFileUpload`

    - #### setMaxFilesQuantity

          public void setMaxFilesQuantity(Integer maxFilesQuantity)

    - #### isNoDuplicate

          public boolean isNoDuplicate()

      Description copied from class: `AbstractFileUpload`

      If "true" duplicate file uploads are prevented

      Default is "false"

      Specified by:
        `isNoDuplicate` in class `AbstractFileUpload`

    - #### setNoDuplicate

          public void setNoDuplicate(boolean noDuplicate)

    - #### getOnbeforedomupdate

          public String getOnbeforedomupdate()

      Description copied from interface: `AjaxActivatorProps`
      The client-side script method to be called after the ajax response comes back, but before the DOM is updated
      Specified by:
        `getOnbeforedomupdate` in interface `AjaxActivatorProps`

    - #### setOnbeforedomupdate

          public void setOnbeforedomupdate(String onbeforedomupdate)

    - #### getOnbegin

          public String getOnbegin()

      Description copied from interface: `AjaxProps`
      The client-side script method to be called before an ajax request.
      Specified by:
        `getOnbegin` in interface `AjaxProps`

    - #### setOnbegin

          public void setOnbegin(String onbegin)

    - #### getOnclear

          public String getOnclear()

      Description copied from class: `AbstractFileUpload`
      Javascript code executed when a file is cleared
      Specified by:
        `getOnclear` in class `AbstractFileUpload`

    - #### setOnclear

          public void setOnclear(String onclear)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOncomplete

          public String getOncomplete()

      Description copied from interface: `AjaxActivatorProps`
      The client-side script method to be called after the DOM is updated
      Specified by:
        `getOncomplete` in interface `AjaxActivatorProps`

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnerror

          public String getOnerror()

      Description copied from class: `AbstractFileUpload`
      The client-side script method to be called when an error has occurred during Ajax communications
      Specified by:
        `getOnerror` in interface `ErrorProps`
      Specified by:
        `getOnerror` in class `AbstractFileUpload`

    - #### setOnerror

          public void setOnerror(String onerror)

    - #### getOnfileselect

          public String getOnfileselect()

      Description copied from class: `AbstractFileUpload`
      Javascript code executed when a file is selected
      Specified by:
        `getOnfileselect` in class `AbstractFileUpload`

    - #### setOnfileselect

          public void setOnfileselect(String onfileselect)

    - #### getOnfilesubmit

          public String getOnfilesubmit()

      Description copied from class: `AbstractFileUpload`
      Javascript code executed when a file is submitted
      Specified by:
        `getOnfilesubmit` in class `AbstractFileUpload`

    - #### setOnfilesubmit

          public void setOnfilesubmit(String onfilesubmit)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnsizerejected

          public String getOnsizerejected()

      Description copied from class: `AbstractFileUpload`
      Javascript code executed when a file exceeds the allowed size defined by maxFileSize parameter.
      Specified by:
        `getOnsizerejected` in class `AbstractFileUpload`

    - #### setOnsizerejected

          public void setOnsizerejected(String onsizerejected)

    - #### getOntyperejected

          public String getOntyperejected()

      Description copied from class: `AbstractFileUpload`
      Javascript code executed when a file does not meet the conditions stated by acceptedTypes parameter.
      Specified by:
        `getOntyperejected` in class `AbstractFileUpload`

    - #### setOntyperejected

          public void setOntyperejected(String ontyperejected)

    - #### getOnuploadcomplete

          public String getOnuploadcomplete()

      Description copied from class: `AbstractFileUpload`
      Javascript code executed when a file upload is complete
      Specified by:
        `getOnuploadcomplete` in class `AbstractFileUpload`

    - #### setOnuploadcomplete

          public void setOnuploadcomplete(String onuploadcomplete)

    - #### getRender

          public Object getRender()

      Description copied from interface: `AjaxActivatorProps`
      IDs of components that will participate in the "render" portion of the Request Processing Lifecycle. Can be a single ID, a space or comma separated list of Id's, or an EL Expression evaluating to an array or Collection. Any of the keywords "@this", "@form", "@all", "@none", "@region" may be specified in the identifier list. Some components make use of additional keywords
      Specified by:
        `getRender` in interface `AjaxActivatorProps`

    - #### setRender

          public void setRender(Object render)

    - #### getServerErrorLabel

          public String getServerErrorLabel()

      Description copied from class: `AbstractFileUpload`
      The label displayed when a file upload fails due to a server error.
      Specified by:
        `getServerErrorLabel` in class `AbstractFileUpload`

    - #### setServerErrorLabel

          public void setServerErrorLabel(String serverErrorLabel)

    - #### getSizeExceededLabel

          public String getSizeExceededLabel()

      Description copied from class: `AbstractFileUpload`
      The label displayed when a file exceeds the size limit.
      Specified by:
        `getSizeExceededLabel` in class `AbstractFileUpload`

    - #### setSizeExceededLabel

          public void setSizeExceededLabel(String sizeExceededLabel)

    - #### getStatus

          public String getStatus()

      Description copied from interface: `AjaxProps`
      Name of the request status component that will indicate the status of the Ajax request
      Specified by:
        `getStatus` in interface `AjaxProps`

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getUploadLabel

          public String getUploadLabel()

      Description copied from class: `AbstractFileUpload`
      The label for the Upload button.
      Specified by:
        `getUploadLabel` in class `AbstractFileUpload`

    - #### setUploadLabel

          public void setUploadLabel(String uploadLabel)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.